Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network100.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
100.0.0.0
Broadcast address
100.255.255.255
First usable
100.0.0.1
Last usable
100.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 64000000 · Integer 1677721600 to 1694498815
Reverse DNS zone
100.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100100..00000000.00000000.00000000100.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01100100..00000000.00000000.00000000100.0.0.0
Broadcast01100100..11111111.11111111.11111111100.255.255.255
Split into smaller subnets/18

100.0.0.0/8 makes 1,024 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1100.0.0.0/18100.0.0.1 to 100.0.63.254100.0.63.25516,382
2100.0.64.0/18100.0.64.1 to 100.0.127.254100.0.127.25516,382
3100.0.128.0/18100.0.128.1 to 100.0.191.254100.0.191.25516,382
4100.0.192.0/18100.0.192.1 to 100.0.255.254100.0.255.25516,382
5100.1.0.0/18100.1.0.1 to 100.1.63.254100.1.63.25516,382
6100.1.64.0/18100.1.64.1 to 100.1.127.254100.1.127.25516,382
7100.1.128.0/18100.1.128.1 to 100.1.191.254100.1.191.25516,382
8100.1.192.0/18100.1.192.1 to 100.1.255.254100.1.255.25516,382
9100.2.0.0/18100.2.0.1 to 100.2.63.254100.2.63.25516,382
10100.2.64.0/18100.2.64.1 to 100.2.127.254100.2.127.25516,382
11100.2.128.0/18100.2.128.1 to 100.2.191.254100.2.191.25516,382
12100.2.192.0/18100.2.192.1 to 100.2.255.254100.2.255.25516,382
13100.3.0.0/18100.3.0.1 to 100.3.63.254100.3.63.25516,382
14100.3.64.0/18100.3.64.1 to 100.3.127.254100.3.127.25516,382
15100.3.128.0/18100.3.128.1 to 100.3.191.254100.3.191.25516,382
16100.3.192.0/18100.3.192.1 to 100.3.255.254100.3.255.25516,382
17100.4.0.0/18100.4.0.1 to 100.4.63.254100.4.63.25516,382
18100.4.64.0/18100.4.64.1 to 100.4.127.254100.4.127.25516,382
19100.4.128.0/18100.4.128.1 to 100.4.191.254100.4.191.25516,382
20100.4.192.0/18100.4.192.1 to 100.4.255.254100.4.255.25516,382
21100.5.0.0/18100.5.0.1 to 100.5.63.254100.5.63.25516,382
22100.5.64.0/18100.5.64.1 to 100.5.127.254100.5.127.25516,382
23100.5.128.0/18100.5.128.1 to 100.5.191.254100.5.191.25516,382
24100.5.192.0/18100.5.192.1 to 100.5.255.254100.5.255.25516,382
25100.6.0.0/18100.6.0.1 to 100.6.63.254100.6.63.25516,382
26100.6.64.0/18100.6.64.1 to 100.6.127.254100.6.127.25516,382
27100.6.128.0/18100.6.128.1 to 100.6.191.254100.6.191.25516,382
28100.6.192.0/18100.6.192.1 to 100.6.255.254100.6.255.25516,382
29100.7.0.0/18100.7.0.1 to 100.7.63.254100.7.63.25516,382
30100.7.64.0/18100.7.64.1 to 100.7.127.254100.7.127.25516,382
31100.7.128.0/18100.7.128.1 to 100.7.191.254100.7.191.25516,382
32100.7.192.0/18100.7.192.1 to 100.7.255.254100.7.255.25516,382
33100.8.0.0/18100.8.0.1 to 100.8.63.254100.8.63.25516,382
34100.8.64.0/18100.8.64.1 to 100.8.127.254100.8.127.25516,382
35100.8.128.0/18100.8.128.1 to 100.8.191.254100.8.191.25516,382
36100.8.192.0/18100.8.192.1 to 100.8.255.254100.8.255.25516,382
37100.9.0.0/18100.9.0.1 to 100.9.63.254100.9.63.25516,382
38100.9.64.0/18100.9.64.1 to 100.9.127.254100.9.127.25516,382
39100.9.128.0/18100.9.128.1 to 100.9.191.254100.9.191.25516,382
40100.9.192.0/18100.9.192.1 to 100.9.255.254100.9.255.25516,382
41100.10.0.0/18100.10.0.1 to 100.10.63.254100.10.63.25516,382
42100.10.64.0/18100.10.64.1 to 100.10.127.254100.10.127.25516,382
43100.10.128.0/18100.10.128.1 to 100.10.191.254100.10.191.25516,382
44100.10.192.0/18100.10.192.1 to 100.10.255.254100.10.255.25516,382
45100.11.0.0/18100.11.0.1 to 100.11.63.254100.11.63.25516,382
46100.11.64.0/18100.11.64.1 to 100.11.127.254100.11.127.25516,382
47100.11.128.0/18100.11.128.1 to 100.11.191.254100.11.191.25516,382
48100.11.192.0/18100.11.192.1 to 100.11.255.254100.11.255.25516,382
49100.12.0.0/18100.12.0.1 to 100.12.63.254100.12.63.25516,382
50100.12.64.0/18100.12.64.1 to 100.12.127.254100.12.127.25516,382
51100.12.128.0/18100.12.128.1 to 100.12.191.254100.12.191.25516,382
52100.12.192.0/18100.12.192.1 to 100.12.255.254100.12.255.25516,382
53100.13.0.0/18100.13.0.1 to 100.13.63.254100.13.63.25516,382
54100.13.64.0/18100.13.64.1 to 100.13.127.254100.13.127.25516,382
55100.13.128.0/18100.13.128.1 to 100.13.191.254100.13.191.25516,382
56100.13.192.0/18100.13.192.1 to 100.13.255.254100.13.255.25516,382
57100.14.0.0/18100.14.0.1 to 100.14.63.254100.14.63.25516,382
58100.14.64.0/18100.14.64.1 to 100.14.127.254100.14.127.25516,382
59100.14.128.0/18100.14.128.1 to 100.14.191.254100.14.191.25516,382
60100.14.192.0/18100.14.192.1 to 100.14.255.254100.14.255.25516,382
61100.15.0.0/18100.15.0.1 to 100.15.63.254100.15.63.25516,382
62100.15.64.0/18100.15.64.1 to 100.15.127.254100.15.127.25516,382
63100.15.128.0/18100.15.128.1 to 100.15.191.254100.15.191.25516,382
64100.15.192.0/18100.15.192.1 to 100.15.255.254100.15.255.25516,382
65100.16.0.0/18100.16.0.1 to 100.16.63.254100.16.63.25516,382
66100.16.64.0/18100.16.64.1 to 100.16.127.254100.16.127.25516,382
67100.16.128.0/18100.16.128.1 to 100.16.191.254100.16.191.25516,382
68100.16.192.0/18100.16.192.1 to 100.16.255.254100.16.255.25516,382
69100.17.0.0/18100.17.0.1 to 100.17.63.254100.17.63.25516,382
70100.17.64.0/18100.17.64.1 to 100.17.127.254100.17.127.25516,382
71100.17.128.0/18100.17.128.1 to 100.17.191.254100.17.191.25516,382
72100.17.192.0/18100.17.192.1 to 100.17.255.254100.17.255.25516,382
73100.18.0.0/18100.18.0.1 to 100.18.63.254100.18.63.25516,382
74100.18.64.0/18100.18.64.1 to 100.18.127.254100.18.127.25516,382
75100.18.128.0/18100.18.128.1 to 100.18.191.254100.18.191.25516,382
76100.18.192.0/18100.18.192.1 to 100.18.255.254100.18.255.25516,382
77100.19.0.0/18100.19.0.1 to 100.19.63.254100.19.63.25516,382
78100.19.64.0/18100.19.64.1 to 100.19.127.254100.19.127.25516,382
79100.19.128.0/18100.19.128.1 to 100.19.191.254100.19.191.25516,382
80100.19.192.0/18100.19.192.1 to 100.19.255.254100.19.255.25516,382
81100.20.0.0/18100.20.0.1 to 100.20.63.254100.20.63.25516,382
82100.20.64.0/18100.20.64.1 to 100.20.127.254100.20.127.25516,382
83100.20.128.0/18100.20.128.1 to 100.20.191.254100.20.191.25516,382
84100.20.192.0/18100.20.192.1 to 100.20.255.254100.20.255.25516,382
85100.21.0.0/18100.21.0.1 to 100.21.63.254100.21.63.25516,382
86100.21.64.0/18100.21.64.1 to 100.21.127.254100.21.127.25516,382
87100.21.128.0/18100.21.128.1 to 100.21.191.254100.21.191.25516,382
88100.21.192.0/18100.21.192.1 to 100.21.255.254100.21.255.25516,382
89100.22.0.0/18100.22.0.1 to 100.22.63.254100.22.63.25516,382
90100.22.64.0/18100.22.64.1 to 100.22.127.254100.22.127.25516,382
91100.22.128.0/18100.22.128.1 to 100.22.191.254100.22.191.25516,382
92100.22.192.0/18100.22.192.1 to 100.22.255.254100.22.255.25516,382
93100.23.0.0/18100.23.0.1 to 100.23.63.254100.23.63.25516,382
94100.23.64.0/18100.23.64.1 to 100.23.127.254100.23.127.25516,382
95100.23.128.0/18100.23.128.1 to 100.23.191.254100.23.191.25516,382
96100.23.192.0/18100.23.192.1 to 100.23.255.254100.23.255.25516,382
97100.24.0.0/18100.24.0.1 to 100.24.63.254100.24.63.25516,382
98100.24.64.0/18100.24.64.1 to 100.24.127.254100.24.127.25516,382
99100.24.128.0/18100.24.128.1 to 100.24.191.254100.24.191.25516,382
100100.24.192.0/18100.24.192.1 to 100.24.255.254100.24.255.25516,382
101100.25.0.0/18100.25.0.1 to 100.25.63.254100.25.63.25516,382
102100.25.64.0/18100.25.64.1 to 100.25.127.254100.25.127.25516,382
103100.25.128.0/18100.25.128.1 to 100.25.191.254100.25.191.25516,382
104100.25.192.0/18100.25.192.1 to 100.25.255.254100.25.255.25516,382
105100.26.0.0/18100.26.0.1 to 100.26.63.254100.26.63.25516,382
106100.26.64.0/18100.26.64.1 to 100.26.127.254100.26.127.25516,382
107100.26.128.0/18100.26.128.1 to 100.26.191.254100.26.191.25516,382
108100.26.192.0/18100.26.192.1 to 100.26.255.254100.26.255.25516,382
109100.27.0.0/18100.27.0.1 to 100.27.63.254100.27.63.25516,382
110100.27.64.0/18100.27.64.1 to 100.27.127.254100.27.127.25516,382
111100.27.128.0/18100.27.128.1 to 100.27.191.254100.27.191.25516,382
112100.27.192.0/18100.27.192.1 to 100.27.255.254100.27.255.25516,382
113100.28.0.0/18100.28.0.1 to 100.28.63.254100.28.63.25516,382
114100.28.64.0/18100.28.64.1 to 100.28.127.254100.28.127.25516,382
115100.28.128.0/18100.28.128.1 to 100.28.191.254100.28.191.25516,382
116100.28.192.0/18100.28.192.1 to 100.28.255.254100.28.255.25516,382
117100.29.0.0/18100.29.0.1 to 100.29.63.254100.29.63.25516,382
118100.29.64.0/18100.29.64.1 to 100.29.127.254100.29.127.25516,382
119100.29.128.0/18100.29.128.1 to 100.29.191.254100.29.191.25516,382
120100.29.192.0/18100.29.192.1 to 100.29.255.254100.29.255.25516,382
121100.30.0.0/18100.30.0.1 to 100.30.63.254100.30.63.25516,382
122100.30.64.0/18100.30.64.1 to 100.30.127.254100.30.127.25516,382
123100.30.128.0/18100.30.128.1 to 100.30.191.254100.30.191.25516,382
124100.30.192.0/18100.30.192.1 to 100.30.255.254100.30.255.25516,382
125100.31.0.0/18100.31.0.1 to 100.31.63.254100.31.63.25516,382
126100.31.64.0/18100.31.64.1 to 100.31.127.254100.31.127.25516,382
127100.31.128.0/18100.31.128.1 to 100.31.191.254100.31.191.25516,382
128100.31.192.0/18100.31.192.1 to 100.31.255.254100.31.255.25516,382
129100.32.0.0/18100.32.0.1 to 100.32.63.254100.32.63.25516,382
130100.32.64.0/18100.32.64.1 to 100.32.127.254100.32.127.25516,382
131100.32.128.0/18100.32.128.1 to 100.32.191.254100.32.191.25516,382
132100.32.192.0/18100.32.192.1 to 100.32.255.254100.32.255.25516,382
133100.33.0.0/18100.33.0.1 to 100.33.63.254100.33.63.25516,382
134100.33.64.0/18100.33.64.1 to 100.33.127.254100.33.127.25516,382
135100.33.128.0/18100.33.128.1 to 100.33.191.254100.33.191.25516,382
136100.33.192.0/18100.33.192.1 to 100.33.255.254100.33.255.25516,382
137100.34.0.0/18100.34.0.1 to 100.34.63.254100.34.63.25516,382
138100.34.64.0/18100.34.64.1 to 100.34.127.254100.34.127.25516,382
139100.34.128.0/18100.34.128.1 to 100.34.191.254100.34.191.25516,382
140100.34.192.0/18100.34.192.1 to 100.34.255.254100.34.255.25516,382
141100.35.0.0/18100.35.0.1 to 100.35.63.254100.35.63.25516,382
142100.35.64.0/18100.35.64.1 to 100.35.127.254100.35.127.25516,382
143100.35.128.0/18100.35.128.1 to 100.35.191.254100.35.191.25516,382
144100.35.192.0/18100.35.192.1 to 100.35.255.254100.35.255.25516,382
145100.36.0.0/18100.36.0.1 to 100.36.63.254100.36.63.25516,382
146100.36.64.0/18100.36.64.1 to 100.36.127.254100.36.127.25516,382
147100.36.128.0/18100.36.128.1 to 100.36.191.254100.36.191.25516,382
148100.36.192.0/18100.36.192.1 to 100.36.255.254100.36.255.25516,382
149100.37.0.0/18100.37.0.1 to 100.37.63.254100.37.63.25516,382
150100.37.64.0/18100.37.64.1 to 100.37.127.254100.37.127.25516,382
151100.37.128.0/18100.37.128.1 to 100.37.191.254100.37.191.25516,382
152100.37.192.0/18100.37.192.1 to 100.37.255.254100.37.255.25516,382
153100.38.0.0/18100.38.0.1 to 100.38.63.254100.38.63.25516,382
154100.38.64.0/18100.38.64.1 to 100.38.127.254100.38.127.25516,382
155100.38.128.0/18100.38.128.1 to 100.38.191.254100.38.191.25516,382
156100.38.192.0/18100.38.192.1 to 100.38.255.254100.38.255.25516,382
157100.39.0.0/18100.39.0.1 to 100.39.63.254100.39.63.25516,382
158100.39.64.0/18100.39.64.1 to 100.39.127.254100.39.127.25516,382
159100.39.128.0/18100.39.128.1 to 100.39.191.254100.39.191.25516,382
160100.39.192.0/18100.39.192.1 to 100.39.255.254100.39.255.25516,382
161100.40.0.0/18100.40.0.1 to 100.40.63.254100.40.63.25516,382
162100.40.64.0/18100.40.64.1 to 100.40.127.254100.40.127.25516,382
163100.40.128.0/18100.40.128.1 to 100.40.191.254100.40.191.25516,382
164100.40.192.0/18100.40.192.1 to 100.40.255.254100.40.255.25516,382
165100.41.0.0/18100.41.0.1 to 100.41.63.254100.41.63.25516,382
166100.41.64.0/18100.41.64.1 to 100.41.127.254100.41.127.25516,382
167100.41.128.0/18100.41.128.1 to 100.41.191.254100.41.191.25516,382
168100.41.192.0/18100.41.192.1 to 100.41.255.254100.41.255.25516,382
169100.42.0.0/18100.42.0.1 to 100.42.63.254100.42.63.25516,382
170100.42.64.0/18100.42.64.1 to 100.42.127.254100.42.127.25516,382
171100.42.128.0/18100.42.128.1 to 100.42.191.254100.42.191.25516,382
172100.42.192.0/18100.42.192.1 to 100.42.255.254100.42.255.25516,382
173100.43.0.0/18100.43.0.1 to 100.43.63.254100.43.63.25516,382
174100.43.64.0/18100.43.64.1 to 100.43.127.254100.43.127.25516,382
175100.43.128.0/18100.43.128.1 to 100.43.191.254100.43.191.25516,382
176100.43.192.0/18100.43.192.1 to 100.43.255.254100.43.255.25516,382
177100.44.0.0/18100.44.0.1 to 100.44.63.254100.44.63.25516,382
178100.44.64.0/18100.44.64.1 to 100.44.127.254100.44.127.25516,382
179100.44.128.0/18100.44.128.1 to 100.44.191.254100.44.191.25516,382
180100.44.192.0/18100.44.192.1 to 100.44.255.254100.44.255.25516,382
181100.45.0.0/18100.45.0.1 to 100.45.63.254100.45.63.25516,382
182100.45.64.0/18100.45.64.1 to 100.45.127.254100.45.127.25516,382
183100.45.128.0/18100.45.128.1 to 100.45.191.254100.45.191.25516,382
184100.45.192.0/18100.45.192.1 to 100.45.255.254100.45.255.25516,382
185100.46.0.0/18100.46.0.1 to 100.46.63.254100.46.63.25516,382
186100.46.64.0/18100.46.64.1 to 100.46.127.254100.46.127.25516,382
187100.46.128.0/18100.46.128.1 to 100.46.191.254100.46.191.25516,382
188100.46.192.0/18100.46.192.1 to 100.46.255.254100.46.255.25516,382
189100.47.0.0/18100.47.0.1 to 100.47.63.254100.47.63.25516,382
190100.47.64.0/18100.47.64.1 to 100.47.127.254100.47.127.25516,382
191100.47.128.0/18100.47.128.1 to 100.47.191.254100.47.191.25516,382
192100.47.192.0/18100.47.192.1 to 100.47.255.254100.47.255.25516,382
193100.48.0.0/18100.48.0.1 to 100.48.63.254100.48.63.25516,382
194100.48.64.0/18100.48.64.1 to 100.48.127.254100.48.127.25516,382
195100.48.128.0/18100.48.128.1 to 100.48.191.254100.48.191.25516,382
196100.48.192.0/18100.48.192.1 to 100.48.255.254100.48.255.25516,382
197100.49.0.0/18100.49.0.1 to 100.49.63.254100.49.63.25516,382
198100.49.64.0/18100.49.64.1 to 100.49.127.254100.49.127.25516,382
199100.49.128.0/18100.49.128.1 to 100.49.191.254100.49.191.25516,382
200100.49.192.0/18100.49.192.1 to 100.49.255.254100.49.255.25516,382
201100.50.0.0/18100.50.0.1 to 100.50.63.254100.50.63.25516,382
202100.50.64.0/18100.50.64.1 to 100.50.127.254100.50.127.25516,382
203100.50.128.0/18100.50.128.1 to 100.50.191.254100.50.191.25516,382
204100.50.192.0/18100.50.192.1 to 100.50.255.254100.50.255.25516,382
205100.51.0.0/18100.51.0.1 to 100.51.63.254100.51.63.25516,382
206100.51.64.0/18100.51.64.1 to 100.51.127.254100.51.127.25516,382
207100.51.128.0/18100.51.128.1 to 100.51.191.254100.51.191.25516,382
208100.51.192.0/18100.51.192.1 to 100.51.255.254100.51.255.25516,382
209100.52.0.0/18100.52.0.1 to 100.52.63.254100.52.63.25516,382
210100.52.64.0/18100.52.64.1 to 100.52.127.254100.52.127.25516,382
211100.52.128.0/18100.52.128.1 to 100.52.191.254100.52.191.25516,382
212100.52.192.0/18100.52.192.1 to 100.52.255.254100.52.255.25516,382
213100.53.0.0/18100.53.0.1 to 100.53.63.254100.53.63.25516,382
214100.53.64.0/18100.53.64.1 to 100.53.127.254100.53.127.25516,382
215100.53.128.0/18100.53.128.1 to 100.53.191.254100.53.191.25516,382
216100.53.192.0/18100.53.192.1 to 100.53.255.254100.53.255.25516,382
217100.54.0.0/18100.54.0.1 to 100.54.63.254100.54.63.25516,382
218100.54.64.0/18100.54.64.1 to 100.54.127.254100.54.127.25516,382
219100.54.128.0/18100.54.128.1 to 100.54.191.254100.54.191.25516,382
220100.54.192.0/18100.54.192.1 to 100.54.255.254100.54.255.25516,382
221100.55.0.0/18100.55.0.1 to 100.55.63.254100.55.63.25516,382
222100.55.64.0/18100.55.64.1 to 100.55.127.254100.55.127.25516,382
223100.55.128.0/18100.55.128.1 to 100.55.191.254100.55.191.25516,382
224100.55.192.0/18100.55.192.1 to 100.55.255.254100.55.255.25516,382
225100.56.0.0/18100.56.0.1 to 100.56.63.254100.56.63.25516,382
226100.56.64.0/18100.56.64.1 to 100.56.127.254100.56.127.25516,382
227100.56.128.0/18100.56.128.1 to 100.56.191.254100.56.191.25516,382
228100.56.192.0/18100.56.192.1 to 100.56.255.254100.56.255.25516,382
229100.57.0.0/18100.57.0.1 to 100.57.63.254100.57.63.25516,382
230100.57.64.0/18100.57.64.1 to 100.57.127.254100.57.127.25516,382
231100.57.128.0/18100.57.128.1 to 100.57.191.254100.57.191.25516,382
232100.57.192.0/18100.57.192.1 to 100.57.255.254100.57.255.25516,382
233100.58.0.0/18100.58.0.1 to 100.58.63.254100.58.63.25516,382
234100.58.64.0/18100.58.64.1 to 100.58.127.254100.58.127.25516,382
235100.58.128.0/18100.58.128.1 to 100.58.191.254100.58.191.25516,382
236100.58.192.0/18100.58.192.1 to 100.58.255.254100.58.255.25516,382
237100.59.0.0/18100.59.0.1 to 100.59.63.254100.59.63.25516,382
238100.59.64.0/18100.59.64.1 to 100.59.127.254100.59.127.25516,382
239100.59.128.0/18100.59.128.1 to 100.59.191.254100.59.191.25516,382
240100.59.192.0/18100.59.192.1 to 100.59.255.254100.59.255.25516,382
241100.60.0.0/18100.60.0.1 to 100.60.63.254100.60.63.25516,382
242100.60.64.0/18100.60.64.1 to 100.60.127.254100.60.127.25516,382
243100.60.128.0/18100.60.128.1 to 100.60.191.254100.60.191.25516,382
244100.60.192.0/18100.60.192.1 to 100.60.255.254100.60.255.25516,382
245100.61.0.0/18100.61.0.1 to 100.61.63.254100.61.63.25516,382
246100.61.64.0/18100.61.64.1 to 100.61.127.254100.61.127.25516,382
247100.61.128.0/18100.61.128.1 to 100.61.191.254100.61.191.25516,382
248100.61.192.0/18100.61.192.1 to 100.61.255.254100.61.255.25516,382
249100.62.0.0/18100.62.0.1 to 100.62.63.254100.62.63.25516,382
250100.62.64.0/18100.62.64.1 to 100.62.127.254100.62.127.25516,382
251100.62.128.0/18100.62.128.1 to 100.62.191.254100.62.191.25516,382
252100.62.192.0/18100.62.192.1 to 100.62.255.254100.62.255.25516,382
253100.63.0.0/18100.63.0.1 to 100.63.63.254100.63.63.25516,382
254100.63.64.0/18100.63.64.1 to 100.63.127.254100.63.127.25516,382
255100.63.128.0/18100.63.128.1 to 100.63.191.254100.63.191.25516,382
256100.63.192.0/18100.63.192.1 to 100.63.255.254100.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses